
Summary: Vivaldi stable
Name: vivaldi-stable
Version:  1.5.658.44
Release: %mkrel 1
License: Proprietary
Group: Networking/WWW
URL: https://vivaldi.com/
Source1: vivaldi.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no
Obsoletes: vivaldi-beta

%description
Vivaldi is a new web browser based on Chromium that is built by an Opera founder.
It's aimed mostly at power users, but it can be used by anyone. 

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package vivaldi-stable_%version-1_amd64.deb

#download source
cd $RPM_SOURCE_DIR
wget -nc "https://downloads.vivaldi.com/stable/%{deb_package}" 
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#not needed
rm -f %buildroot/usr/share/menu/vivaldi.menu

#dont include this as it breaks apt for rpm
rm -rf %buildroot/etc/cron.daily/vivaldi

#icon for menu
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/vivaldi.png

#sandbox it
chmod 4755 %buildroot/opt/vivaldi/vivaldi-sandbox

#fix for desktop file
mkdir -p %buildroot/usr/bin
ln -fs /opt/vivaldi/vivaldi %buildroot/usr/bin/vivaldi-stable


%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
/opt/vivaldi
%{_bindir}/vivaldi-stable
%{_datadir}/applications/vivaldi-stable.desktop
%{_datadir}/doc/vivaldi-stable/changelog.gz
%{_datadir}/xfce4/helpers/vivaldi.desktop
%{_datadir}/pixmaps/vivaldi.png

%changelog
* Sun Dec 11 2016 adrianomorselli <adrianomorselli> 1.5.658.44-1uplos2016
- rebuild

* Tue Nov 22 2016 bb <bb> 1.5.658.44-1pclos2016
- update

* Wed Nov 09 2016 bb <bb> 1.4.589.41-1pclos2016
- update

* Sun Oct 23 2016 bb <bb> 1.4.589.38-1pclos2016
- update


